<?php



// Load Nette Framework or autoloader generated by Composer
require LIBS_DIR . '/autoload.php';

// Configure application
$configurator = new Configurator;

// Enable Nette Debugger for error visualisation & logging
$configurator->enableDebugger(dirname(__FILE__) . '/../log');

// Enable RobotLoader - this will load all classes automatically
$configurator->setTempDirectory(dirname(__FILE__) . '/../temp');
$configurator->createRobotLoader()
	->addDirectory(dirname(__FILE__))
	->register();

// Create default Dependency Injection container
$container = $configurator->createContainer();

// Setup router
$container->router = new SimpleRouter('Default:default');

// Run the application!
$container->application->run();
