<?php

/**
 * Test: MicroPresenter
 *
 * @author     Filip Procházka
 * @package    Nette\Application\UI
 */



require dirname(__FILE__) . '/../bootstrap.php';



class Invokable extends Object
{
	public function __invoke($page, $id)
	{
		TestHelpers::note('Callback id ' . $id . ' page ' . $page);
	}
}


$container = id(new Configurator)->setTempDirectory(TEMP_DIR)->createContainer();

$presenter = new MicroPresenter($container);


$presenter->run(new PresenterRequest('Nette:Micro', 'GET', array(
	'callback' => create_function('$id, $page', '
		TestHelpers::note(\'Callback id \' . $id . \' page \' . $page);
	'),
	'id' => 1,
	'page' => 2,
)));
Assert::same(array(
	'Callback id 1 page 2'
), TestHelpers::fetchNotes());


$presenter->run(new PresenterRequest('Nette:Micro', 'GET', array(
	'callback' => new Invokable(),
	'id' => 1,
	'page' => 2,
)));
Assert::same(array(
	'Callback id 1 page 2'
), TestHelpers::fetchNotes());
