<?php

/**
 * Test: Configurator and user extension.
 *
 * @author     David Grudl
 * @package    Nette\Config
 */



require dirname(__FILE__) . '/../bootstrap.php';



class DatabaseExtension extends ConfigCompilerExtension
{

	public function loadConfiguration()
	{
		Assert::same( array('foo' => 'hello'), $this->config );
		TestHelpers::note(__METHOD__);
	}

	public function beforeCompile()
	{
		TestHelpers::note(__METHOD__);
	}

	public function afterCompile(PhpClassType $class)
	{
		TestHelpers::note(__METHOD__);
	}
}



$configurator = new Configurator;
$configurator->setTempDirectory(TEMP_DIR);
$extension = new DatabaseExtension;
$configurator->onCompile[] = create_function('Configurator $configurator, ConfigCompiler $compiler', 'extract(NCFix::$vars['.NCFix::uses(array('extension'=>$extension)).'], EXTR_REFS);
	$compiler->addExtension(\'database\', $extension);
');
$container = $configurator->addConfig('files/config.extension.neon', Configurator::NONE)
	->createContainer();

Assert::same(array(
	'DatabaseExtension::loadConfiguration',
	'DatabaseExtension::beforeCompile',
	'DatabaseExtension::afterCompile',
), TestHelpers::fetchNotes());

Assert::true( $container->database->foo instanceof stdClass );
Assert::same( $container->database->foo, $container->alias );


Assert::same( 'database.', $extension->prefix('') );
Assert::same( 'database.member', $extension->prefix('member') );
Assert::same( '@database.member', $extension->prefix('@member') );


Assert::same( array('foo' => 'hello'), $extension->getConfig() );
Assert::same( array('foo' => 'hello'), $extension->getConfig(array('foo' => 'bar')) );
Assert::same( array('foo' => '%bar%'), $extension->getConfig(NULL, FALSE) );
