<?php

/**
 * Test: Configurator and minimal container.
 *
 * @author     David Grudl
 * @package    Nette\Config
 */



require dirname(__FILE__) . '/../bootstrap.php';



$configurator = new Configurator;
$configurator->setTempDirectory(TEMP_DIR);
$configurator->addParameters(array(
	'hello' => 'world',
));
$container = $configurator->createContainer();

Assert::true( $container instanceof SystemContainer );

Assert::same( array(
	'appDir' => dirname(__FILE__),
	'wwwDir' => NULL,
	'debugMode' => FALSE,
	'productionMode' => TRUE,
	'environment' => 'production',
	'consoleMode' => PHP_SAPI === 'cli',
	'container' => array(
		'class' => 'SystemContainer',
		'parent' => 'Nette\\DI\\Container',
	),
	'tempDir' => TEMP_DIR,
	'hello' => 'world',
), $container->parameters );

Assert::true( $container->nette->cacheJournal instanceof FileJournal );
Assert::true( $container->cacheStorage instanceof FileStorage );
Assert::true( $container->nette->templateCacheStorage instanceof PhpFileStorage );
Assert::true( $container->httpRequest instanceof HttpRequest );
Assert::true( $container->httpResponse instanceof HttpResponse );
Assert::true( $container->nette->httpContext instanceof HttpContext );
Assert::true( $container->session instanceof Session );
Assert::true( $container->user instanceof User );
Assert::true( $container->nette->userStorage instanceof UserStorage );
Assert::true( $container->application instanceof Application );
Assert::true( $container->router instanceof RouteList );
Assert::true( $container->nette->presenterFactory instanceof PresenterFactory );
Assert::true( $container->nette->mailer instanceof SendmailMailer );

Assert::true( $container->nette->createCache() instanceof Cache );
Assert::same( 'nm', $container->nette->createCache('nm')->getNamespace() );
Assert::true( $container->nette->createBasicForm() instanceof Form );
Assert::true( $container->nette->createLatte() instanceof LatteFilter );
Assert::true( $container->nette->createTemplate() instanceof FileTemplate );
Assert::true( $container->nette->createMail() instanceof Mail );
