<?php

/**
 * Test: Environment and loadConfig.
 *
 * @author     David Grudl
 * @package    Nette
 */



require dirname(__FILE__) . '/../bootstrap.php';



Environment::loadConfig('files/config.old.ini', 'production');

Assert::true( Environment::getRouter() instanceof SimpleRouter );

Assert::same( 'hello world', Environment::getVariable('foo') );

Assert::same( 'hello world', constant('HELLO_WORLD') );

Assert::equal( ArrayHash::from(array(
	'adapter' => 'pdo_mysql',
	'params' => array(
		'host' => 'db.example.com',
	),
)), Environment::getConfig('database') );
