<?php

/**
 * Test: Environment minimal usage.
 *
 * @author     David Grudl
 * @package    Nette
 */



require dirname(__FILE__) . '/../bootstrap.php';



Assert::null( Environment::getVariable('foo', NULL), "Getting variable 'foo':" );


Assert::throws(create_function('', '
	Environment::getVariable(\'foo\');
'), 'InvalidStateException', "Unknown environment variable 'foo'.");


// Defining constant 'APP_DIR':
Environment::setVariable('appDir', '/myApp');
Assert::same( '/myApp', Environment::getVariable('appDir') );


// Setting variable 'test'...
Environment::setVariable('test', '%appDir%/test');
Assert::same( '/myApp/test', Environment::getVariable('test') );


// Services
Assert::same( 'HttpResponse', get_class(Environment::getHttpResponse()) );
Assert::same( 'Application', get_class(Environment::getApplication()) );
Assert::same( 'Cache', get_class(Environment::getCache('my')) );


// Modes
Assert::false( Environment::isConsole(), 'Is console?' );
Assert::true( Environment::isProduction(), 'Is production mode?' );
