<?php

/**
 * Test: ConfigHelpers::merge()
 *
 * @author     David Grudl
 * @package    Nette\Config
 */



require dirname(__FILE__) . '/../bootstrap.php';



$obj = (object) NULL;
$arr1 = array('a' => 'b', 'x');
$arr2 = array('c' => 'd', 'y');


Assert::same( NULL, ConfigHelpers::merge(NULL, NULL) );
Assert::same( NULL, ConfigHelpers::merge(NULL, 231) );
Assert::same( NULL, ConfigHelpers::merge(NULL, $obj) );
Assert::same( array(), ConfigHelpers::merge(NULL, array()) );
Assert::same( $arr1, ConfigHelpers::merge(NULL, $arr1) );
Assert::same( 231, ConfigHelpers::merge(231, NULL) );
Assert::same( 231, ConfigHelpers::merge(231, 231) );
Assert::same( 231, ConfigHelpers::merge(231, $obj) );
Assert::same( 231, ConfigHelpers::merge(231, array()) );
Assert::same( 231, ConfigHelpers::merge(231, $arr1) );
Assert::same( $obj, ConfigHelpers::merge($obj, NULL) );
Assert::same( $obj, ConfigHelpers::merge($obj, 231) );
Assert::same( $obj, ConfigHelpers::merge($obj, $obj) );
Assert::same( $obj, ConfigHelpers::merge($obj, array()) );
Assert::same( $obj, ConfigHelpers::merge($obj, $arr1) );
Assert::same( array(), ConfigHelpers::merge(array(), NULL) );
Assert::same( array(), ConfigHelpers::merge(array(), 231) );
Assert::same( array(), ConfigHelpers::merge(array(), $obj) );
Assert::same( array(), ConfigHelpers::merge(array(), array()) );
Assert::same( $arr1, ConfigHelpers::merge(array(), $arr1) );
Assert::same( $arr2, ConfigHelpers::merge($arr2, NULL) );
Assert::same( $arr2, ConfigHelpers::merge($arr2, 231) );
Assert::same( $arr2, ConfigHelpers::merge($arr2, $obj) );
Assert::same( $arr2, ConfigHelpers::merge($arr2, array()) );
Assert::same( array('a' => 'b', 'x', 'c' => 'd', 'y'), ConfigHelpers::merge($arr2, $arr1) );
