<?php

/**
 * Test: ConfigHelpers::merge() with NeonAdapter
 *
 * @author     David Grudl
 * @package    Nette\Config
 */



require dirname(__FILE__) . '/../bootstrap.php';



$obj = (object) NULL;
$arr1 = array('a' => 'b', 'x');
$arr2 = array('c' => 'd', 'y');


function merge($left, $right)
{
	file_put_contents(TEMP_DIR . '/left.neon', $left);
	file_put_contents(TEMP_DIR . '/right.neon', $right);

	$config = new ConfigLoader;
	return ConfigHelpers::merge($config->load(TEMP_DIR . '/left.neon'), $config->load(TEMP_DIR . '/right.neon'));
}


// replace
Assert::same( array('item' => array()), merge('item!:', 'item:') );

Assert::same( array('item' => array()), merge('item!:', 'item: 123') );

Assert::same( array('item' => array()), merge('item!: []', 'item: []') );

Assert::throws(create_function('', '
	merge(\'item!: 231\', \'item:\');
'), 'InvalidStateException');

Assert::throws(create_function('', '
	merge(\'item!: 231\', \'item: 231\');
'), 'InvalidStateException');


// inherit
Assert::same( array(
	'parent' => 1,
	'child' => array(ConfigHelpers::EXTENDS_KEY => 'parent')
), merge('child < parent:', 'parent: 1') );
