<?php

/**
 * Test: ConfigLoader: including files
 *
 * @author     David Grudl
 * @package    Nette\Config
 */



require dirname(__FILE__) . '/../bootstrap.php';



Assert::throws(create_function('', '
	$config = new ConfigLoader;
	$config->load(\'missing.neon\');
'), 'FileNotFoundException', "File 'missing.neon' is missing or is not readable.");

Assert::throws(create_function('', '
	$config = new ConfigLoader;
	$config->load(__FILE__);
'), 'InvalidArgumentException', "Unknown file extension '%a%.phpt'.");

Assert::throws(create_function('', '
	$config = new ConfigLoader;
	$config->load(\'files/config.sample.neon\', \'unknown\');
'), 'AssertionException', "Missing section 'unknown' in file '%a%'.");
