<?php

/**
 * Test: ConfigPhpAdapter
 *
 * @author     David Grudl
 * @package    Nette\Config
 */



require dirname(__FILE__) . '/../bootstrap.php';

define('TEMP_FILE', TEMP_DIR . '/cfg.php');


// Load INI
$config = new ConfigLoader;
$data = $config->load('files/config.sample.php');
Assert::same( array(
	'webname' => 'the example',
	'database' => array(
		'adapter' => 'pdo_mysql',
		'params' => array(
			'host' => 'db.example.com',
			'username' => 'dbuser',
			'password' => 'secret',
			'dbname' => 'dbname',
		),
	),
), $data );


$config->save($data, TEMP_FILE);
Assert::match( <<<EOD
<?php // generated by Nette
return array(
	'webname' => 'the example',
	'database' => array(
		'adapter' => 'pdo_mysql',
		'params' => array(
			'host' => 'db.example.com',
			'username' => 'dbuser',
			'password' => 'secret',
			'dbname' => 'dbname',
		),
	),
);
EOD
, file_get_contents(TEMP_FILE) );
