<?php

/**
 * Test: DIContainer errors usage.
 *
 * @author     David Grudl
 * @package    Nette\DI
 */



require dirname(__FILE__) . '/../bootstrap.php';



$service = (object) NULL;
$container = new DIContainer;

Assert::throws(create_function('', 'extract(NCFix::$vars['.NCFix::uses(array('container'=>$container,'service'=> $service)).'], EXTR_REFS);
	$container->addService(NULL, $service);
'), 'InvalidArgumentException', 'Service name must be a non-empty string, NULL given.');

Assert::throws(create_function('', 'extract(NCFix::$vars['.NCFix::uses(array('container'=>$container)).'], EXTR_REFS);
	$container->addService(\'one\', NULL);
'), 'InvalidArgumentException', 'Invalid callback.');

Assert::throws(create_function('', 'extract(NCFix::$vars['.NCFix::uses(array('container'=>$container)).'], EXTR_REFS);
	$container->getService(\'one\');
'), 'MissingServiceException', "Service 'one' not found.");

Assert::throws(create_function('', 'extract(NCFix::$vars['.NCFix::uses(array('container'=>$container,'service'=> $service)).'], EXTR_REFS);
	$container->addService(\'one\', $service);
	$container->addService(\'one\', $service);
'), 'InvalidStateException', "Service 'one' has already been registered.");

Assert::throws(create_function('', 'extract(NCFix::$vars['.NCFix::uses(array('container'=>$container,'service'=> $service)).'], EXTR_REFS);
	$container->freeze();
	$container->addService(\'two\', $service);
'), 'InvalidStateException', 'Cannot modify a frozen object DIContainer.');
