<?php

/**
 * Test: DIContainer expand.
 *
 * @author     David Grudl
 * @package    Nette\DI
 */



require dirname(__FILE__) . '/../bootstrap.php';



$container = new DIContainer(array(
	'appDir' => '/myApp',
	'dirs' => array('cache' => '/temp'),
));

Assert::same( '/myApp/test', $container->expand('%appDir%/test') );
Assert::same( '/temp/test', $container->expand('%dirs.cache%/test') );
Assert::same( array('cache' => '/temp'), $container->expand('%dirs%') );

Assert::throws(create_function('', 'extract(NCFix::$vars['.NCFix::uses(array('container'=>$container)).'], EXTR_REFS);
	$container->expand(\'%bar%\');
'), 'InvalidArgumentException', "Missing item 'bar'.");

Assert::throws(create_function('', 'extract(NCFix::$vars['.NCFix::uses(array('container'=>$container)).'], EXTR_REFS);
	$container->parameters[\'bar\'] = array();
	$container->expand(\'foo%bar%\');
'), 'InvalidArgumentException', "Unable to concatenate non-scalar parameter 'bar' into 'foo%bar%'.");
