<?php

/**
 * Test: DIContainer magic properties.
 *
 * @author     David Grudl
 * @package    Nette\DI
 */



require dirname(__FILE__) . '/../bootstrap.php';



class Service
{
}

$one = new Service;
$two = new Service;


$container = new DIContainer;
$container->one = $one;
$container->addService('two', 'Service');
$container->three = new Callback(create_function('', '
	return new Service;
'));

Assert::true( isset($container->one) );
Assert::true( isset($container->two) );
Assert::true( isset($container->three) );
Assert::false( isset($container->undefined) );

Assert::same( $one, $container->one );
Assert::true( $container->two instanceof Service );
Assert::same( $container->two, $container->getService('two') );
Assert::true( $container->three instanceof Callback );

Assert::true( isset($container->one) );
Assert::true( isset($container->two) );
Assert::true( isset($container->three) );
Assert::false( isset($container->undefined) );
