<?php

/**
 * Test: DIHelpers::expand()
 *
 * @author     David Grudl
 * @package    Nette\DI
 */



require dirname(__FILE__) . '/../bootstrap.php';



Assert::same( 'item', DIHelpers::expand('item', array()) );
Assert::same( 123, DIHelpers::expand(123, array()) );
Assert::same( '%', DIHelpers::expand('%%', array()) );
Assert::same( 'item', DIHelpers::expand('%key%', array('key' => 'item')) );
Assert::same( 123, DIHelpers::expand('%key%', array('key' => 123)) );
Assert::same( 'a123b123c', DIHelpers::expand('a%key%b%key%c', array('key' => 123)) );
Assert::same( 123, DIHelpers::expand('%key1.key2%', array('key1' => array('key2' => 123))) );
Assert::same( 123, DIHelpers::expand('%key1%', array('key1' => '%key2%', 'key2' => 123), TRUE) );
Assert::same( array(123), DIHelpers::expand(array('%key1%'), array('key1' => '%key2%', 'key2' => 123), TRUE) );
Assert::same(
	array('key1' => 123, 'key2' => 'abc'),
	DIHelpers::expand('%keyA%', array(
		'keyA' => array('key1' => 123, 'key2' => '%keyB%'),
		'keyB' => 'abc'
	), TRUE)
);


Assert::throws(create_function('', '
	DIHelpers::expand(\'%missing%\', array());
'), 'InvalidArgumentException', "Missing item 'missing'.");

Assert::throws(create_function('', '
	DIHelpers::expand(\'%key1%a\', array(\'key1\' => array(\'key2\' => 123)));
'), 'InvalidArgumentException', "Unable to concatenate non-scalar parameter 'key1' into '%key1%a'.");

Assert::throws(create_function('', '
	DIHelpers::expand(\'%key1%\', array(\'key1\' => \'%key2%\', \'key2\' => \'%key1%\'), TRUE);
'), 'InvalidArgumentException', "Circular reference detected for variables: key1, key2.");
