<?php

/**
 * Test: Debugger E_RECOVERABLE_ERROR error.
 *
 * @author     David Grudl
 * @package    Nette\Diagnostics
 */



require dirname(__FILE__) . '/../bootstrap.php';



Debugger::$consoleMode = FALSE;
Debugger::$productionMode = FALSE;

Debugger::enable();



class TestClass
{

	function test1(array $val)
	{
	}


	function test2(TestClass $val)
	{
	}


	function __toString()
	{
		return FALSE;
	}


}


$obj = new TestClass;

Assert::throws(create_function('', 'extract(NCFix::$vars['.NCFix::uses(array('obj'=>$obj)).'], EXTR_REFS);
	// Invalid argument #1
	$obj->test1(\'hello\');
'), 'FatalErrorException', 'Argument 1 passed to TestClass::test1() must be %a% array, string given, called in %a%');

Assert::throws(create_function('', 'extract(NCFix::$vars['.NCFix::uses(array('obj'=>$obj)).'], EXTR_REFS);
	// Invalid argument #2
	$obj->test2(\'hello\');
'), 'FatalErrorException', 'Argument 1 passed to TestClass::test2() must be an instance of TestClass, string given, called in %a%');

Assert::throws(create_function('', 'extract(NCFix::$vars['.NCFix::uses(array('obj'=>$obj)).'], EXTR_REFS);
	// Invalid toString
	echo $obj;
'), 'FatalErrorException', 'Method TestClass::__toString() must return a string value');
