<?php

/**
 * Test: HttpUploadedFile basic test.
 *
 * @author     David Grudl
 * @package    Nette\Http
 */



require dirname(__FILE__) . '/../bootstrap.php';



$upload = new HttpUploadedFile(array(
	'name' => 'readme.txt',
	'type' => 'text/plain',
	'tmp_name' => dirname(__FILE__) . '/files/file.txt',
	'error' => 0,
	'size' => 209,
));

Assert::same( 'readme.txt', $upload->getName() );
Assert::same( 'readme.txt', $upload->getSanitizedName() );
Assert::same( 209, $upload->getSize() );
Assert::same( dirname(__FILE__) . '/files/file.txt', $upload->getTemporaryFile() );
Assert::same( dirname(__FILE__) . '/files/file.txt', (string) $upload );
Assert::same( 0, $upload->getError() );
Assert::true( $upload->isOk() );
Assert::false( $upload->isImage() );
Assert::same( file_get_contents(dirname(__FILE__) . '/files/file.txt'), $upload->getContents() );



$upload = new HttpUploadedFile(array(
	'name' => '../.image.png',
	'type' => 'text/plain',
	'tmp_name' => dirname(__FILE__) . '/files/logo.png',
	'error' => 0,
	'size' => 209,
));

Assert::same( '../.image.png', $upload->getName() );
Assert::same( 'image.png', $upload->getSanitizedName() );
Assert::same( 'image/png', $upload->getContentType() );
Assert::true( $upload->isImage() );
