<?php

/**
 * Test: HttpRequestFactory scriptPath detection.
 *
 * @author     David Grudl
 * @package    Nette\Http
 */



require dirname(__FILE__) . '/../bootstrap.php';



$factory = new HttpRequestFactory;

$_SERVER = array(
	'REQUEST_URI' => '/projects/modules-usage/www/',
	'SCRIPT_FILENAME' => 'W:/projects/Modules-Usage/www/index.php',
	'SCRIPT_NAME' => '/projects/modules-usage/www/index.php',
);

Assert::same( '/projects/modules-usage/www/', $factory->createHttpRequest()->getUrl()->getScriptPath() );



$_SERVER = array(
	'REQUEST_URI' => '/projects/modules-usage/www/default/add-item',
	'SCRIPT_FILENAME' => 'W:/projects/Modules-Usage/www/index.php',
	'SCRIPT_NAME' => '/projects/Modules-Usage/www/index.php',
);

Assert::same( '/projects/modules-usage/www/', $factory->createHttpRequest()->getUrl()->getScriptPath() );



$_SERVER = array(
	'REQUEST_URI' => '/www/index.php',
	'SCRIPT_FILENAME' => 'w:\projects\modules-usage\www\index.php',
	'SCRIPT_NAME' => '/www/index.php',
);

Assert::same( '/www/index.php', $factory->createHttpRequest()->getUrl()->getScriptPath() );



$_SERVER = array(
	'REQUEST_URI' => '/www/',
	'SCRIPT_FILENAME' => 'w:\projects\modules-usage\www\index.php',
	'SCRIPT_NAME' => '/www/',
);

Assert::same( '/www/', $factory->createHttpRequest()->getUrl()->getScriptPath() );
