<?php

/**
 * Test: CoreMacros: {var ...} {default ...}
 *
 * @author     David Grudl
 * @package    Nette\Latte
 */



require dirname(__FILE__) . '/../bootstrap.php';


$compiler = new LatteCompiler;
CoreMacros::install($compiler);

// {var ... }
Assert::same( '<?php $var = \'hello\' ?>',  $compiler->expandMacro('var', 'var => hello', '')->openingCode );
Assert::same( '<?php $var = 123 ?>',  $compiler->expandMacro('var', '$var => 123', '')->openingCode );
Assert::same( '<?php $var = 123 ?>',  $compiler->expandMacro('var', '$var = 123', '')->openingCode );
Assert::same( '<?php $var = 123 ?>',  $compiler->expandMacro('var', '$var => 123', 'filter')->openingCode );
Assert::same( '<?php $var1 = 123; $var2 = "nette framework" ?>',  $compiler->expandMacro('var', 'var1 = 123, $var2 => "nette framework"', '')->openingCode );
Assert::same( '<?php $temp->var1 = 123 ?>',  $compiler->expandMacro('var', '$temp->var1 = 123', '')->openingCode );

Assert::throws(create_function('', 'extract(NCFix::$vars['.NCFix::uses(array('compiler'=>$compiler)).'], EXTR_REFS);
	$compiler->expandMacro(\'var\', \'$var => "123\', \'\');
'), 'TokenizerException', 'Unexpected %a% on line 1, column 9.');


// {default ...}
Assert::same( "<?php extract(array('var' => 'hello'), EXTR_SKIP) ?>",  $compiler->expandMacro('default', 'var => hello', '')->openingCode );
Assert::same( "<?php extract(array('var' => 123), EXTR_SKIP) ?>",  $compiler->expandMacro('default', '$var => 123', '')->openingCode );
Assert::same( "<?php extract(array('var' => 123), EXTR_SKIP) ?>",  $compiler->expandMacro('default', '$var = 123', '')->openingCode );
Assert::same( "<?php extract(array('var' => 123), EXTR_SKIP) ?>",  $compiler->expandMacro('default', '$var => 123', 'filter')->openingCode );
Assert::same( "<?php extract(array('var1' => 123, 'var2' => \"nette framework\"), EXTR_SKIP) ?>",  $compiler->expandMacro('default', 'var1 = 123, $var2 => "nette framework"', '')->openingCode );

Assert::throws(create_function('', 'extract(NCFix::$vars['.NCFix::uses(array('compiler'=>$compiler)).'], EXTR_REFS);
	$compiler->expandMacro(\'default\', \'$temp->var1 = 123\', \'\');
'), 'CompileException', "Unexpected '-' in {default \$temp->var1 = 123}");
