<?php

/**
 * Test: LatteFilter: {cache ...}
 *
 * @author     David Grudl
 * @package    Nette\Latte
 * @keepTrailingSpaces
 */



require dirname(__FILE__) . '/../bootstrap.php';

require dirname(__FILE__) . '/Template.inc';



$template = new FileTemplate(dirname(__FILE__) . '/templates/cache.latte');
$template->setCacheStorage($cache = new MockCacheStorage);
$template->registerFilter(new LatteFilter);
$template->registerHelperLoader('TemplateHelpers::loader');

$template->netteCacheStorage = new DevNullStorage;
$template->title = 'Hello';
$template->id = 456;

$path = dirname(__FILE__) . '/expected/' . basename(__FILE__, '.phpt');
Assert::match(file_get_contents("$path.phtml"), codefix($template->compile()));
Assert::match(file_get_contents("$path.html"), $template->__toString(TRUE));
Assert::match(file_get_contents("$path.inc.phtml"), $cache->phtml['include.cache.latte']);
