<?php

/**
 * Test: LatteFilter: unknown macro.
 *
 * @author     David Grudl
 * @package    Nette\Latte
 */



require dirname(__FILE__) . '/../bootstrap.php';



$template = new Template;
$template->registerFilter(new LatteFilter);

Assert::throws(create_function('', 'extract(NCFix::$vars['.NCFix::uses(array('template'=>$template)).'], EXTR_REFS);
	$template->setSource(\'{unknown}\')->compile();
'), 'CompileException', 'Unknown macro {unknown}');

Assert::throws(create_function('', 'extract(NCFix::$vars['.NCFix::uses(array('template'=>$template)).'], EXTR_REFS);
	$template->setSource(\'<style>body {color:blue}</style>\')->compile();
'), 'CompileException', 'Unknown macro {color:blue} (in JavaScript or CSS, try to put a space after bracket.)');

Assert::throws(create_function('', 'extract(NCFix::$vars['.NCFix::uses(array('template'=>$template)).'], EXTR_REFS);
	$template->setSource(\'<script>if (true) {return}</script>\')->compile();
'), 'CompileException', 'Unknown macro {return} (in JavaScript or CSS, try to put a space after bracket.)');
