<?php

/**
 * Test: LatteFilter: {use ...}
 *
 * @author     David Grudl
 * @package    Nette\Latte
 * @keepTrailingSpaces
 */



require dirname(__FILE__) . '/../bootstrap.php';

require dirname(__FILE__) . '/Template.inc';



class MyMacros extends MacroSet
{
	public function __construct($compiler)
	{
		parent::__construct($compiler);
		$this->addMacro('my', 'echo "ok"');
	}

	static function install(LatteCompiler $compiler)
	{
		return new self($compiler);
	}
}


$template = new FileTemplate(dirname(__FILE__) . '/templates/use.latte');
$template->registerFilter(new LatteFilter);

$path = dirname(__FILE__) . '/expected/' . basename(__FILE__, '.phpt');
Assert::match(file_get_contents("$path.phtml"), codefix($template->compile()));
Assert::match(file_get_contents("$path.html"), $template->__toString(TRUE));
