<?php

/**
 * Test: ClassReflection tests.
 *
 * @author     David Grudl
 * @package    Nette\Reflection
 */



require dirname(__FILE__) . '/../bootstrap.php';



class Foo
{
	public function f() {}
}

class Bar extends Foo implements Countable
{
	public $var;

	function count() {}
}


Assert::equal( new ClassReflection('Bar'), ClassReflection::from('Bar') );
Assert::equal( new ClassReflection('Bar'), ClassReflection::from(new Bar) );



$rc = ClassReflection::from('Bar');

Assert::null( $rc->getExtension() );


Assert::equal( array(
	'Countable' => new ClassReflection('Countable'),
), $rc->getInterfaces() );


Assert::equal( new ClassReflection('Foo'), $rc->getParentClass() );


Assert::null( $rc->getConstructor() );


Assert::equal( new MethodReflection('Foo', 'f'), $rc->getMethod('f') );


Assert::throws(create_function('', 'extract(NCFix::$vars['.NCFix::uses(array('rc'=>$rc)).'], EXTR_REFS);
	$rc->getMethod(\'doesntExist\');
'), 'ReflectionException', 'Method Bar::doesntExist() does not exist');

Assert::equal( array(
	new MethodReflection('Bar', 'count'),
	new MethodReflection('Foo', 'f'),
), $rc->getMethods() );



Assert::equal( new PropertyReflection('Bar', 'var'), $rc->getProperty('var') );


Assert::throws(create_function('', 'extract(NCFix::$vars['.NCFix::uses(array('rc'=>$rc)).'], EXTR_REFS);
	$rc->getProperty(\'doesntExist\');
'), 'ReflectionException', 'Property Bar::$doesntExist does not exist');

Assert::equal( array(
	new PropertyReflection('Bar', 'var'),
), $rc->getProperties() );
