<?php

/**
 * Test: Permission Ensures that an exception is thrown when a non-existent Role and Resource parameters are specified to isAllowed().
 *
 * @author     David Grudl
 * @package    Nette\Security
 */



require dirname(__FILE__) . '/../bootstrap.php';



Assert::throws(create_function('', '
	$acl = new Permission;
	$acl->isAllowed(\'nonexistent\');
'), 'InvalidStateException', "Role 'nonexistent' does not exist.");

Assert::throws(create_function('', '
	$acl = new Permission;
	$acl->isAllowed(NULL, \'nonexistent\');
'), 'InvalidStateException', "Resource 'nonexistent' does not exist.");
