<?php

/**
 * Test: Permission Ensures that an exception is thrown when a non-existent Resource is specified to each parameter of inherits().
 *
 * @author     David Grudl
 * @package    Nette\Security
 */



require dirname(__FILE__) . '/../bootstrap.php';



$acl = new Permission;
$acl->addResource('area');
Assert::throws(create_function('', 'extract(NCFix::$vars['.NCFix::uses(array('acl'=>$acl)).'], EXTR_REFS);
	$acl->resourceInheritsFrom(\'nonexistent\', \'area\');
'), 'InvalidStateException', "Resource 'nonexistent' does not exist.");

Assert::throws(create_function('', 'extract(NCFix::$vars['.NCFix::uses(array('acl'=>$acl)).'], EXTR_REFS);
	$acl->resourceInheritsFrom(\'area\', \'nonexistent\');
'), 'InvalidStateException', "Resource 'nonexistent' does not exist.");
