<?php

/**
 * Test: Permission Ensures that an exception is thrown when a non-existent Role is specified to each parameter of inherits().
 *
 * @author     David Grudl
 * @package    Nette\Security
 */



require dirname(__FILE__) . '/../bootstrap.php';



$acl = new Permission;
$acl->addRole('guest');
Assert::throws(create_function('', 'extract(NCFix::$vars['.NCFix::uses(array('acl'=>$acl)).'], EXTR_REFS);
	$acl->roleInheritsFrom(\'nonexistent\', \'guest\');
'), 'InvalidStateException', "Role 'nonexistent' does not exist.");

Assert::throws(create_function('', 'extract(NCFix::$vars['.NCFix::uses(array('acl'=>$acl)).'], EXTR_REFS);
	$acl->roleInheritsFrom(\'guest\', \'nonexistent\');
'), 'InvalidStateException', "Role 'nonexistent' does not exist.");
