<?php

/**
 * Test: Permission Ensures that removal of a Resource results in its rules being removed.
 *
 * @author     David Grudl
 * @package    Nette\Security
 */



require dirname(__FILE__) . '/../bootstrap.php';



$acl = new Permission;
$acl->addResource('area');
$acl->allow(NULL, 'area');
Assert::true( $acl->isAllowed(NULL, 'area') );
$acl->removeResource('area');
Assert::throws(create_function('', 'extract(NCFix::$vars['.NCFix::uses(array('acl'=>$acl)).'], EXTR_REFS);
	$acl->isAllowed(NULL, \'area\');
'), 'InvalidStateException', "Resource 'area' does not exist.");

$acl->addResource('area');
Assert::false( $acl->isAllowed(NULL, 'area') );
