<?php

/**
 * Test: Arrays::get()
 *
 * @author     David Grudl
 * @package    Nette\Utils
 */



require dirname(__FILE__) . '/../bootstrap.php';



$arr  = array(
	NULL => 'first',
	1 => 'second',
	7 => array(
		'item' => 'third',
	),
);

// Single item

Assert::same( 'first', Arrays::get($arr, NULL) );
Assert::same( 'second', Arrays::get($arr, 1) );
Assert::same( 'second', Arrays::get($arr, 1, 'x') );
Assert::same( 'x', Arrays::get($arr, 'undefined', 'x') );
Assert::throws(create_function('', 'extract(NCFix::$vars['.NCFix::uses(array('arr'=>$arr)).'], EXTR_REFS);
	Arrays::get($arr, \'undefined\');
'), 'InvalidArgumentException', "Missing item 'undefined'.");



// Traversing

Assert::same( array(
	'' => 'first',
	1 => 'second',
	7 => array(
		'item' => 'third',
	),
), Arrays::get($arr, array()) );


Assert::same( 'third', Arrays::get($arr, array(7, 'item')) );
