<?php

/**
 * Test: Json::decode()
 *
 * @author     David Grudl
 * @package    Nette\Utils
 */



require dirname(__FILE__) . '/../bootstrap.php';



Assert::same( "ok", Json::decode('"ok"') );
Assert::null( Json::decode('') );
Assert::null( Json::decode('null') );
Assert::null( Json::decode('NULL') );


Assert::equal( (object) array('a' => 1), Json::decode('{"a":1}') );
Assert::same( array('a' => 1), Json::decode('{"a":1}', Json::FORCE_ARRAY) );



Assert::throws(create_function('', '
	Json::decode(\'{\');
'), 'JsonException', 'Syntax error, malformed JSON');



Assert::throws(create_function('', '
	Json::decode(\'{}}\');
'), 'JsonException', 'Syntax error, malformed JSON');



Assert::throws(create_function('', '
	Json::decode("\\x00");
'), 'JsonException', 'Unexpected control character found');
