<?php

/**
 * Test: Neon::decode errors.
 *
 * @author     David Grudl
 * @package    Nette\Utils
 */



require dirname(__FILE__) . '/../bootstrap.php';



Assert::throws(create_function('', '
	Neon::decode("Hello\\nWorld");
'), 'NeonException', "Unexpected 'World' on line 2, column 1." );


Assert::throws(create_function('', '
	Neon::decode("- Dave,\\n- Rimmer,\\n- Kryten,\\n");
'), 'NeonException', "Unexpected ',' on line 1, column 6." );


Assert::throws(create_function('', '
	Neon::decode("- first: Dave\\n last: Lister\\n gender: male\\n");
'), 'NeonException', "Unexpected ':' on line 1, column 7." );


Assert::throws(create_function('', '
	Neon::decode(\'item [a, b]\');
'), 'NeonException', "Unexpected ',' on line 1, column 7." );


Assert::throws(create_function('', '
	Neon::decode(\'{,}\');
'), 'NeonException', "Unexpected ',' on line 1, column 1." );


Assert::throws(create_function('', '
	Neon::decode(\'{a, ,}\');
'), 'NeonException', "Unexpected ',' on line 1, column 4." );
