<?php

/**
 * Test: Strings and RegexpException run-time error.
 *
 * @author     David Grudl
 * @package    Nette\Utils
 */



require dirname(__FILE__) . '/../bootstrap.php';



Assert::throws(create_function('', '
	Strings::split("0123456789\\xFF", \'#\\d#u\');
'), 'RegexpException', 'Malformed UTF-8 data (pattern: #\d#u)');

Assert::throws(create_function('', '
	Strings::match("0123456789\\xFF", \'#\\d#u\');
'), 'RegexpException', 'Malformed UTF-8 data (pattern: #\d#u)');

Assert::throws(create_function('', '
	Strings::matchAll("0123456789\\xFF", \'#\\d#u\');
'), 'RegexpException', 'Malformed UTF-8 data (pattern: #\d#u)');

Assert::throws(create_function('', '
	Strings::replace("0123456789\\xFF", \'#\\d#u\', \'x\');
'), 'RegexpException', 'Malformed UTF-8 data (pattern: #\d#u)');

function cb() { return 'x'; }

Assert::throws(create_function('', '
	Strings::replace("0123456789\\xFF", \'#\\d#u\', new Callback(\'cb\'));
'), 'RegexpException', 'Malformed UTF-8 data (pattern: #\d#u)');
