<?php

/**
 * Test: Strings and RegexpException compile error.
 *
 * @author     David Grudl
 * @package    Nette\Utils
 */



require dirname(__FILE__) . '/../bootstrap.php';



Assert::throws(create_function('', '
	Strings::split(\'0123456789\', \'#*#\');
'), 'RegexpException', 'preg_split(): Compilation failed: nothing to repeat at offset 0 in pattern: #*#');

Assert::throws(create_function('', '
	Strings::match(\'0123456789\', \'#*#\');
'), 'RegexpException', 'preg_match(): Compilation failed: nothing to repeat at offset 0 in pattern: #*#');

Assert::throws(create_function('', '
	Strings::matchAll(\'0123456789\', \'#*#\');
'), 'RegexpException', 'preg_match_all(): Compilation failed: nothing to repeat at offset 0 in pattern: #*#');

Assert::throws(create_function('', '
	Strings::replace(\'0123456789\', \'#*#\', \'x\');
'), 'RegexpException', 'preg_replace(): Compilation failed: nothing to repeat at offset 0 in pattern: #*#');

function cb() { return 'x'; }

Assert::throws(create_function('', '
	Strings::replace(\'0123456789\', \'#*#\', new Callback(\'cb\'));
'), 'RegexpException', 'preg_match(): Compilation failed: nothing to repeat at offset 0 in pattern: #*#');
