<?php

/**
 * Test: Callback tests.
 *
 * @author     David Grudl
 * @package    Nette
 */



require dirname(__FILE__) . '/../bootstrap.php';



class Test
{
	static function add($a, $b)
	{
		return $a + $b;
	}
}


$cb = new Callback(array(new Test, 'add'));

Assert::same( 8, $cb->invoke(3, 5) );
Assert::same( 8, $cb->invokeArgs(array(3, 5)) );
Assert::true( $cb->isCallable() );


Assert::throws(create_function('', '
	Callback::create(\'undefined\')->invoke();
'), 'InvalidStateException', "Callback 'undefined' is not callable.");

Assert::throws(create_function('', '
	Callback::create(NULL)->invoke();
'), 'InvalidArgumentException', 'Invalid callback.');
