<?php

/**
 * Test: Object properties.
 *
 * @author     David Grudl
 * @package    Nette
 */



require dirname(__FILE__) . '/../bootstrap.php';



class TestClass extends Object
{
	public $foo;
}


$obj = new TestClass;
unset($obj->foo);
Assert::false( isset($obj->foo) );

// re-set
$obj->foo = 'hello';
Assert::same( 'hello', $obj->foo );


// double unset
$obj = new TestClass;
unset($obj->foo);
unset($obj->foo);


// reading of unset property
Assert::throws(create_function('', '
	$obj = new TestClass;
	unset($obj->foo);
	$val = $obj->foo;
'), 'MemberAccessException', 'Cannot read an undeclared property TestClass::$foo.');
